Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.examples.travelagency.ws
Class TravelAgencyServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.objectweb.jass.examples.travelagency.ws.TravelAgencyServiceLocator

All Implemented Interfaces:
  javax.naming.Referenceable, java.io.Serializable, javax.xml.rpc.Service, TravelAgencyService

public class TravelAgencyServiceLocator
extends org.apache.axis.client.Service
implements TravelAgencyService

See Also:
  Serialized Form

Constructor Summary
`TravelAgencyServiceLocator()`

Method Summary
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`javax.xml.namespace.QName` | `getServiceName()`
`TravelAgency` | `getTravelAgency()`
`TravelAgency` | `getTravelAgency(java.net.URL portAddress)`
`java.lang.String` | `getTravelAgencyAddress()`
`java.lang.String` | `getTravelAgencyWSDDServiceName()`
`void` | `setTravelAgencyWSDDServiceName(java.lang.String name)`

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### TravelAgencyServiceLocator

    public TravelAgencyServiceLocator()

Method Detail

### getTravelAgencyAddress

    public java.lang.String getTravelAgencyAddress()

  Specified by:
    `getTravelAgencyAddress` in interface `TravelAgencyService`

### getTravelAgencyWSDDServiceName

    public java.lang.String getTravelAgencyWSDDServiceName()

### setTravelAgencyWSDDServiceName

    public void setTravelAgencyWSDDServiceName(java.lang.String name)

### getTravelAgency

    public TravelAgency getTravelAgency()
                                 throws javax.xml.rpc.ServiceException

  Specified by:
    `getTravelAgency` in interface `TravelAgencyService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getTravelAgency

    public TravelAgency getTravelAgency(java.net.URL portAddress)
                                 throws javax.xml.rpc.ServiceException

  Specified by:
    `getTravelAgency` in interface `TravelAgencyService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD